> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List data links



## OpenAPI

````yaml /api-reference/membrane-api.json get /data-links
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /data-links:
    get:
      tags:
        - DataLinks
      summary: List data links
      operationId: listDataLinks
      parameters:
        - name: limit
          required: false
          in: query
          description: Maximum number of items to return (1-1000)
          schema:
            minimum: 1
            maximum: 1000
            type: integer
        - name: cursor
          required: false
          in: query
          description: Pagination cursor from a previous response
          schema:
            type: string
        - name: dataLinkTableInstanceId
          required: true
          in: query
          schema:
            type: string
        - name: externalRecordId
          required: false
          in: query
          schema:
            type: string
        - name: appRecordId
          required: false
          in: query
          schema:
            type: string
        - name: direction
          required: false
          in: query
          schema:
            type: string
            enum:
              - import
              - export
              - both
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataLinksPaginatedResponseDto'
components:
  schemas:
    DataLinksPaginatedResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              dataLinkTableInstanceId:
                type: string
              externalRecordId:
                type: string
              appRecordId:
                type: string
              direction:
                type: string
                enum:
                  - import
                  - export
                  - both
            required:
              - id
              - dataLinkTableInstanceId
              - externalRecordId
              - appRecordId
              - direction
        cursor:
          type: string
      required:
        - items
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````